# Generated by Django 4.0 on 2021-12-12 23:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Teacher',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, null=True)),
                ('email', models.CharField(max_length=100, null=True)),
                ('date_joined', models.DateTimeField(auto_now_add=True, null=True)),
                ('grades', models.CharField(choices=[('Pre-K', 'Pre-K'), ('Elementary', 'Elementary'), ('Junior High', 'Junior High'), ('High School', 'High School')], max_length=100, null=True)),
                ('schools', models.ManyToManyField(to='users.School')),
            ],
        ),
        migrations.AddField(
            model_name='school',
            name='teachers',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.teacher'),
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, null=True)),
                ('category', models.CharField(choices=[('Books', 'Books'), ('Food/Drinks', 'Food/Drinks'), ('Software/Hardware', 'Software/Hardware'), ('Subscriptions', 'Subscriptions'), ('Supplies', 'Supplies')], max_length=100, null=True)),
                ('description', models.CharField(max_length=200, null=True)),
                ('quantity', models.IntegerField(null=True)),
                ('total', models.FloatField(null=True)),
                ('date_created', models.DateTimeField(auto_now_add=True, null=True)),
                ('teacher_requested', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.teacher')),
            ],
        ),
    ]
